The following issue has been SUBMITTED. 
====================================================================== 
http://www.dbmail.org/mantis/view.php?id=541 
====================================================================== 
Reported By:                lkneschke
Assigned To:                
====================================================================== 
Project:                    DBMail
Issue ID:                   541
Category:                   installation scripts
Reproducibility:            always
Severity:                   major
Priority:                   normal
Status:                     new
target:                      
====================================================================== 
Date Submitted:             19-Mar-07 07:58 CET
Last Modified:              19-Mar-07 07:58 CET
====================================================================== 
Summary:                    the user gets not created when installing the
package and sieve get's not started
Description: 
The dbmail user gets not added, when doing a fresh install.
The sieve daemon gets not started, even the user requested it in debconf.

This patch fixed both problems:

[EMAIL PROTECTED]:~/src/dbmail-2.2/debian# svn diff dbmail.postinst
Index: dbmail.postinst
===================================================================
--- dbmail.postinst     (revision 2472)
+++ dbmail.postinst     (working copy)
@@ -46,6 +46,7 @@
        create_user
     ;;
     configure)
+       create_user

        . /usr/share/debconf/confmodule
        db_get dbmail/do_debconf || true; DO_DEBCONF=$RET
@@ -63,7 +64,7 @@
                db_get dbmail/start_imapd || true; START_IMAPD=$RET
                db_get dbmail/start_lmtpd || true; START_LMTPD=$RET
                db_get dbmail/start_pop3d || true; START_POP3D=$RET
-               db_get dbmail/sieve/start_sieve || true; START_SIEVE=$RET
+               db_get dbmail/start_sieve || true; START_SIEVE=$RET

                if [ "$AUTHDRIVER" = "ldap" ]; then
                        db_get dbmail/ldap/HOSTNAME || true;
LDAP_HOST=$RET

====================================================================== 

Issue History 
Date Modified   Username       Field                    Change               
====================================================================== 
19-Mar-07 07:58 lkneschke      New Issue                                    
======================================================================

_______________________________________________
Dbmail-dev mailing list
[email protected]
http://twister.fastxs.net/mailman/listinfo/dbmail-dev

Reply via email to